Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.NotMinusValidator

Extends M.Validator.
Validates if it represents a minus number. Works with numbers and strings containing just a number.
Defined in: not_minus_validator.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.NotMinusValidator()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| type The type of this object.

Fields borrowed from class M.Validator:
  validationErrors

Method Summary
Method Attributes | Method Name and Description
--- | ---
| validate(obj) Validation method.

Methods borrowed from class M.Validator:
  clearErrorBuffer, customize
Methods borrowed from class M.Object:
  bindToCaller, create, destroy, extend, get, include, set

Class Detail
M.NotMinusValidator()
Field Detail
{String} type
The type of this object.
Method Detail
{Boolean} validate(obj)
Validation method. Distinguishes between type of value: number or string. Both possible. If number value is checked if less than zero, if string value is checked if ^prefixed with a minus sign ( - ).

Parameters:
{Object} obj
  Parameter object. Contains the value to be validated, the M.ModelAttribute object of the property and the model record's id.

Returns:
  {Boolean} Indicating whether validation passed (YES|true) or not (NO|false).

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:32 GMT+0100 (MEZ)